--[[
SUPER MINI PUTT-PUTT
BY PspFanatic
COPYRIGHT 2006 (C)
]]--

exit = nil

background = Image.load("background.png")
screen:clear()
screen:blit(0,0,Image.load("intro.png"))
screen.flip()
screen.waitVblankStart(180)

--MAKE COLORS
green = Color.new(0,255,0)
black = Color.new(0,0,0)


--MAKE IMAGES
ball = Image.load("ball.png")
hole = Image.load("hole.png")


win = 0
lose = 0

function playgame()

--VARIABLES!
math.randomseed(os.time())
ox = math.random(50,480-50)
oy = math.random(50,272-50)

hx = math.random(50,480-50)
hy = math.random(50,272-50)

px = ox
py = oy
cx = ox
cy = oy

while true do
screen:blit(0,0,background)
screen:blit(hx,hy,hole)
screen:blit(px,py,ball)
pad = Controls.read()
if pad:start() then exit = true; return end
if pad:cross() and (cx - px) ~= 0 and (cy - py) ~= 0 then break end
if math.abs(pad:analogX()) > 30 then
	cx = cx + pad:analogX()/100
end
if cx > 10+ox then cx = 10+ox end
if cx < -10+ox then cx = -10+ox end
if math.abs(pad:analogY()) > 30 then
	cy = cy + pad:analogY()/100
end
if cy > 10+oy then cy = 10+oy end
if cy < -10+oy then cy = -10+oy end
screen:drawLine(px+5,py+5,cx+5,cy+5,black)
screen.waitVblankStart()
screen.flip()
end

mx = -(cx - px)
my = -(cy - py)

while true do
px = px + mx/5
py = py + my/5

screen:blit(0,0,background)
screen:blit(hx,hy,hole)
screen:blit(px,py,ball)
screen.waitVblankStart()
screen.flip()
if px + 5 >= hx and px+5 <= hx + 20 and py+5 >= hy and py+5 <= hy + 20 then --YOU WIN!!!
--WIN
win = win + 1
	break
end
if px < 0 or px > 480 or py < 0 or py > 272 then 
--LOSE
lose = lose + 1
	break
end
end


end --FUNCTION

for i=1,8 do
screen:clear()
screen:blit(0,0,Image.load("hole ("..i..").png"))
screen.flip()
screen.waitVblankStart(180)
playgame()
if exit then return end
end

if win >= lose then
screen:blit(0,0,background)
screen:blit(0,0,Image.load("win.png"))
screen.flip()
screen.waitVblankStart(180)
else
screen:blit(0,0,background)
screen:blit(0,0,Image.load("lose.png"))
screen.flip()
screen.waitVblankStart(180)
end